# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'main.ui'
#
# Created: Mon Jun  1 04:37:24 2010
#      by: PyQt4 UI code generator 4.4.4
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(647, 476)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/icons/babiloo64.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        MainWindow.setWindowIcon(icon)
        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout_2 = QtGui.QVBoxLayout(self.centralwidget)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.splitter = QtGui.QSplitter(self.centralwidget)
        self.splitter.setOrientation(QtCore.Qt.Horizontal)
        self.splitter.setObjectName("splitter")
        self.frameArticles = QtGui.QFrame(self.splitter)
        self.frameArticles.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frameArticles.setFrameShadow(QtGui.QFrame.Raised)
        self.frameArticles.setObjectName("frameArticles")
        self.verticalLayout_8 = QtGui.QVBoxLayout(self.frameArticles)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.tabWidget = QtGui.QTabWidget(self.frameArticles)
        self.tabWidget.setTabPosition(QtGui.QTabWidget.West)
        self.tabWidget.setElideMode(QtCore.Qt.ElideNone)
        self.tabWidget.setObjectName("tabWidget")
        self.tab_4 = QtGui.QWidget()
        self.tab_4.setObjectName("tab_4")
        self.verticalLayout_6 = QtGui.QVBoxLayout(self.tab_4)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.horizontalLayout_4 = QtGui.QHBoxLayout()
        self.horizontalLayout_4.setSpacing(0)
        self.horizontalLayout_4.setSizeConstraint(QtGui.QLayout.SetDefaultConstraint)

        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.articlesClearButton = QtGui.QToolButton(self.tab_4)
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/icons/clear-right.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.articlesClearButton.setIcon(icon1)
        self.articlesClearButton.setToolButtonStyle(QtCore.Qt.ToolButtonIconOnly)
        self.articlesClearButton.setObjectName("articlesClearButton")
        self.horizontalLayout_4.addWidget(self.articlesClearButton)
        self.articlesText = MyLineEdit(self.tab_4)
        self.articlesText.setObjectName("articlesText")
        self.horizontalLayout_4.addWidget(self.articlesText)
        self.articlesSearchButton = QtGui.QToolButton(self.tab_4)
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/icons/system-search.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.articlesSearchButton.setIcon(icon2)
        self.articlesSearchButton.setToolButtonStyle(QtCore.Qt.ToolButtonTextBesideIcon)
        self.articlesSearchButton.setObjectName("articlesSearchButton")
        self.horizontalLayout_4.addWidget(self.articlesSearchButton)
        self.verticalLayout_6.addLayout(self.horizontalLayout_4)
        self.wordList = QtGui.QTableView(self.tab_4)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.wordList.sizePolicy().hasHeightForWidth())
        self.wordList.setSizePolicy(sizePolicy)
        self.wordList.setLineWidth(0)

        self.wordList.setAlternatingRowColors(False)
        self.wordList.setSelectionMode(QtGui.QAbstractItemView.SingleSelection)
        self.wordList.setShowGrid(False)
        self.wordList.setGridStyle(QtCore.Qt.NoPen)
        self.wordList.setWordWrap(False)
        self.wordList.setCornerButtonEnabled(False)
        self.wordList.setObjectName("wordList")
        self.verticalLayout_6.addWidget(self.wordList)
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(":/icons/edit-find.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.tabWidget.addTab(self.tab_4, icon3, "")
        self.tab_5 = QtGui.QWidget()
        self.tab_5.setObjectName("tab_5")
        self.verticalLayout = QtGui.QVBoxLayout(self.tab_5)
        self.verticalLayout.setObjectName("verticalLayout")
        self.historyList = QtGui.QTableView(self.tab_5)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.historyList.sizePolicy().hasHeightForWidth())
        self.historyList.setSizePolicy(sizePolicy)
        self.historyList.setLineWidth(0)

        self.historyList.setAlternatingRowColors(False)
        self.historyList.setSelectionMode(QtGui.QAbstractItemView.SingleSelection)
        self.historyList.setShowGrid(False)
        self.historyList.setGridStyle(QtCore.Qt.NoPen)
        self.historyList.setWordWrap(False)
        self.historyList.setCornerButtonEnabled(False)
        self.historyList.setObjectName("historyList")
        self.verticalLayout.addWidget(self.historyList)
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(":/icons/clock.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.tabWidget.addTab(self.tab_5, icon4, "")
        self.tab_6 = QtGui.QWidget()
        self.tab_6.setObjectName("tab_6")
        self.verticalLayout_7 = QtGui.QVBoxLayout(self.tab_6)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.horizontalLayout_5 = QtGui.QHBoxLayout()
        self.horizontalLayout_5.setSpacing(0)
        self.horizontalLayout_5.setSizeConstraint(QtGui.QLayout.SetDefaultConstraint)

        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.contentSearchClearButton = QtGui.QToolButton(self.tab_6)
        self.contentSearchClearButton.setIcon(icon1)
        self.contentSearchClearButton.setToolButtonStyle(QtCore.Qt.ToolButtonIconOnly)
        self.contentSearchClearButton.setObjectName("contentSearchClearButton")
        self.horizontalLayout_5.addWidget(self.contentSearchClearButton)
        self.contentSearchText = MyLineEdit(self.tab_6)
        self.contentSearchText.setFocusPolicy(QtCore.Qt.StrongFocus)
        self.contentSearchText.setObjectName("contentSearchText")
        self.horizontalLayout_5.addWidget(self.contentSearchText)
        self.contentSearchButton = QtGui.QToolButton(self.tab_6)
        self.contentSearchButton.setIcon(icon2)
        self.contentSearchButton.setToolButtonStyle(QtCore.Qt.ToolButtonTextBesideIcon)
        self.contentSearchButton.setObjectName("contentSearchButton")
        self.horizontalLayout_5.addWidget(self.contentSearchButton)
        self.verticalLayout_7.addLayout(self.horizontalLayout_5)
        self.contentSearchList = QtGui.QTableView(self.tab_6)
        self.contentSearchList.setSelectionMode(QtGui.QAbstractItemView.SingleSelection)
        self.contentSearchList.setShowGrid(False)
        self.contentSearchList.setObjectName("contentSearchList")
        self.verticalLayout_7.addWidget(self.contentSearchList)
        self.horizontalLayout_6 = QtGui.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.contentSearchProgress = QtGui.QProgressBar(self.tab_6)
        self.contentSearchProgress.setEnabled(False)
        self.contentSearchProgress.setProperty("value", QtCore.QVariant(0))
        self.contentSearchProgress.setObjectName("contentSearchProgress")
        self.horizontalLayout_6.addWidget(self.contentSearchProgress)
        self.stopContentSearchButton = QtGui.QToolButton(self.tab_6)
        self.stopContentSearchButton.setEnabled(False)
        icon5 = QtGui.QIcon()
        icon5.addPixmap(QtGui.QPixmap(":/icons/process-stop.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.stopContentSearchButton.setIcon(icon5)
        self.stopContentSearchButton.setObjectName("stopContentSearchButton")
        self.horizontalLayout_6.addWidget(self.stopContentSearchButton)
        self.verticalLayout_7.addLayout(self.horizontalLayout_6)
        self.tabWidget.addTab(self.tab_6, icon2, "")
        self.verticalLayout_8.addWidget(self.tabWidget)
        self.frameDefinitions = QtGui.QFrame(self.splitter)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frameDefinitions.sizePolicy().hasHeightForWidth())
        self.frameDefinitions.setSizePolicy(sizePolicy)
        self.frameDefinitions.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frameDefinitions.setFrameShadow(QtGui.QFrame.Raised)
        self.frameDefinitions.setObjectName("frameDefinitions")
        self.verticalLayout_3 = QtGui.QVBoxLayout(self.frameDefinitions)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.verticalDefinitionLayout = QtGui.QVBoxLayout()
        self.verticalDefinitionLayout.setObjectName("verticalDefinitionLayout")
        self.definitionView = DefinitionView(self.frameDefinitions)
        self.definitionView.setObjectName("definitionView")
        self.verticalDefinitionLayout.addWidget(self.definitionView)
        self.verticalLayout_3.addLayout(self.verticalDefinitionLayout)
        self.verticalLayout_2.addWidget(self.splitter)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtGui.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 647, 24))
        self.menubar.setObjectName("menubar")
        self.menu_File = QtGui.QMenu(self.menubar)
        self.menu_File.setObjectName("menu_File")
        self.menuHelp = QtGui.QMenu(self.menubar)
        self.menuHelp.setObjectName("menuHelp")
        self.menu_Options = QtGui.QMenu(self.menubar)
        self.menu_Options.setObjectName("menu_Options")
        self.menuDictionaries = QtGui.QMenu(self.menubar)
        self.menuDictionaries.setObjectName("menuDictionaries")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtGui.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)
        self.actionQuit = QtGui.QAction(MainWindow)
        icon6 = QtGui.QIcon()
        icon6.addPixmap(QtGui.QPixmap(":/icons/system-log-out.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionQuit.setIcon(icon6)
        self.actionQuit.setObjectName("actionQuit")
        self.actionAbout = QtGui.QAction(MainWindow)
        icon7 = QtGui.QIcon()
        icon7.addPixmap(QtGui.QPixmap(":/icons/dialog-information.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionAbout.setIcon(icon7)
        self.actionAbout.setObjectName("actionAbout")
        self.actionSettings = QtGui.QAction(MainWindow)
        icon8 = QtGui.QIcon()
        icon8.addPixmap(QtGui.QPixmap(":/icons/preferences-system.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionSettings.setIcon(icon8)
        self.actionSettings.setObjectName("actionSettings")
        self.actionScan = QtGui.QAction(MainWindow)
        self.actionScan.setCheckable(True)
        self.actionScan.setEnabled(False)
        self.actionScan.setObjectName("actionScan")
        self.actionImport_Dictionary = QtGui.QAction(MainWindow)
        icon9 = QtGui.QIcon()
        icon9.addPixmap(QtGui.QPixmap(":/icons/dictionary-new.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionImport_Dictionary.setIcon(icon9)
        self.actionImport_Dictionary.setObjectName("actionImport_Dictionary")
        self.actionManage_Dictionaries = QtGui.QAction(MainWindow)
        icon10 = QtGui.QIcon()
        icon10.addPixmap(QtGui.QPixmap(":/icons/system-installer.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionManage_Dictionaries.setIcon(icon10)
        self.actionManage_Dictionaries.setObjectName("actionManage_Dictionaries")
        self.actionVisit_HomePage = QtGui.QAction(MainWindow)
        icon11 = QtGui.QIcon()
        icon11.addPixmap(QtGui.QPixmap(":/icons/go-home.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionVisit_HomePage.setIcon(icon11)
        self.actionVisit_HomePage.setObjectName("actionVisit_HomePage")
        self.actionReport_A_Problem = QtGui.QAction(MainWindow)
        icon12 = QtGui.QIcon()
        icon12.addPixmap(QtGui.QPixmap(":/icons/bug.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionReport_A_Problem.setIcon(icon12)
        self.actionReport_A_Problem.setObjectName("actionReport_A_Problem")
        self.actionTranslate_This_Application = QtGui.QAction(MainWindow)
        icon13 = QtGui.QIcon()
        icon13.addPixmap(QtGui.QPixmap(":/icons/preferences-desktop-locale.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionTranslate_This_Application.setIcon(icon13)
        self.actionTranslate_This_Application.setObjectName("actionTranslate_This_Application")
        self.actionDownload_Dictionaries = QtGui.QAction(MainWindow)
        icon14 = QtGui.QIcon()
        icon14.addPixmap(QtGui.QPixmap(":/icons/internet-web-browser.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionDownload_Dictionaries.setIcon(icon14)
        self.actionDownload_Dictionaries.setObjectName("actionDownload_Dictionaries")
        self.menu_File.addAction(self.actionQuit)
        self.menuHelp.addAction(self.actionVisit_HomePage)
        self.menuHelp.addSeparator()
        self.menuHelp.addAction(self.actionReport_A_Problem)
        self.menuHelp.addAction(self.actionTranslate_This_Application)
        self.menuHelp.addSeparator()
        self.menuHelp.addAction(self.actionAbout)
        self.menu_Options.addAction(self.actionSettings)
        self.menuDictionaries.addAction(self.actionImport_Dictionary)
        self.menuDictionaries.addAction(self.actionDownload_Dictionaries)
        self.menuDictionaries.addAction(self.actionManage_Dictionaries)
        self.menubar.addAction(self.menu_File.menuAction())
        self.menubar.addAction(self.menuDictionaries.menuAction())
        self.menubar.addAction(self.menu_Options.menuAction())
        self.menubar.addAction(self.menuHelp.menuAction())

        self.retranslateUi(MainWindow)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle("Babiloo")
        self.articlesClearButton.setToolTip(_("Clear the search box"))
        self.articlesClearButton.setText(_("Clear"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_4), _("Articles"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_5), _("History"))
        self.contentSearchClearButton.setToolTip(_("Clear the search box"))
        self.contentSearchClearButton.setText(_("Clear"))
        self.stopContentSearchButton.setText("...")
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_6), _("Search"))
        self.definitionView.setHtml(QtGui.QApplication.translate("MainWindow", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:\'DejaVu Sans\'; font-size:9pt; font-weight:400; font-style:normal;\">\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.menu_File.setTitle(_("&File"))
        self.menuHelp.setTitle(_("&Help"))
        self.menu_Options.setTitle(_("&Settings"))
        self.menuDictionaries.setTitle(_("Dictionaries"))
        self.actionQuit.setText(_("&Quit"))
        self.actionAbout.setText(_("&About Babiloo"))
        self.actionSettings.setText(_("&Configure Babiloo"))
        self.actionScan.setText(_("&Scan"))
        self.actionImport_Dictionary.setText(_("Install from file..."))
        self.actionImport_Dictionary.setIconText(_("Import"))
        self.actionImport_Dictionary.setToolTip(_("Import"))
        self.actionManage_Dictionaries.setText(_("Manage Dictionaries..."))
        self.actionVisit_HomePage.setText(_("Visit HomePage"))
        self.actionReport_A_Problem.setText(_("Report A Problem"))
        self.actionTranslate_This_Application.setText(_("Translate This Application..."))
        self.actionDownload_Dictionaries.setText(_("Download Dictionaries"))

from gui_widgets import MyLineEdit
from definitionView import DefinitionView
import images_rc

